import request from '@/utils/request'
/* 工单管理 */
export function addWorkOrder(data) {
    return request({
        url: "/workOrder",
        method: 'post',
        data: data
    })
}

export function delWorkOrder(data) {
    return request({
        url: "/workOrder/" + data,
        method: 'delete',
    })
}
export function updateWorkOrder(data) {
    return request({
        url: "/workOrder",
        method: 'put',
        data: data
    })
}
export function getWorkOrder(data) {
    return request({
        url: "/workOrder/list",
        method: 'get',
        params: data
    })
}

export function exportWorkOrder(data) {
    return request({
        url: "/workOrder/export",
        method: 'get',
        params: data
    })
}

export function collectWorkOrder(data) {
    return request({
        url: "/workOrder/collect",
        method: 'get',
        params: data
    })
}